> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mpcvault.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GetWalletList

> List all wallets in a vault with pagination.

Returns all wallets in a vault. Use `page` and `limit` to paginate (e.g. `limit` 100, max 100 per page).


## OpenAPI

````yaml /openapi.json POST /v1/getWalletList
openapi: 3.1.0
info:
  title: mpcvault.platform.v1
  version: 0.0.1
servers:
  - url: https://api.mpcvault.com
    description: MPCVault API Server
security:
  - ApiKeyAuth: []
tags:
  - name: mpcvault.platform.v1.PlatformAPI
paths:
  /v1/getWalletList:
    post:
      tags:
        - mpcvault.platform.v1.PlatformAPI
      summary: GetWalletList
      description: GetWalletList returns the wallets details.
      operationId: mpcvault.platform.v1.PlatformAPI.GetWalletList
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/mpcvault.platform.v1.GetWalletListRequest'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/mpcvault.platform.v1.GetWalletListResponse
components:
  schemas:
    mpcvault.platform.v1.GetWalletListRequest:
      type: object
      properties:
        vaultUuid:
          type: string
          title: vault_uuid
          description: >-
            required:true

            symbol_value:"12789f5ee5fb-07f5-470c-a2ff-081e2d6d107a"

            default:null

            comment:vault_uuid is the UUID of the vault that the wallet was
            created in.
        page:
          $ref: '#/components/schemas/google.protobuf.Int64Value'
          description: |-
            symbol_value:"1"
            default: 1
            comment:page is the page number.
        limit:
          $ref: '#/components/schemas/google.protobuf.Int64Value'
          description: |-
            symbol_value:"100"
            default:100
            max:100
            comment:limit is the number of wallets to return.
      additionalProperties: false
    mpcvault.platform.v1.GetWalletListResponse:
      type: object
      properties:
        detailsList:
          type: array
          items:
            $ref: '#/components/schemas/mpcvault.platform.v1.Wallet'
          title: details_list
          description: >-
            symbol_value:"[{address: 0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F,
            name: test wallet, status: STATUS_ACTIVE}]"

            comment:details_list is the list of wallets.
        error:
          $ref: '#/components/schemas/mpcvault.platform.v1.Error'
      additionalProperties: false
    google.protobuf.Int64Value:
      oneOf:
        - type: string
        - type: number
      description: |-
        Wrapper message for `int64`.

         The JSON representation for `Int64Value` is JSON string.

         Not recommended for use in new APIs, but still useful for legacy APIs and
         has no plan to be removed.
    mpcvault.platform.v1.Wallet:
      type: object
      properties:
        vaultUuid:
          type: string
          title: vault_uuid
          description: >-
            symbol_value:"12789f5ee5fb-07f5-470c-a2ff-081e2d6d107a"

            comment:vault_uuid is the UUID of the vault that the wallet was
            created in.
        keyType:
          $ref: '#/components/schemas/mpcvault.platform.v1.KeyType'
          description: |-
            symbol_value:"1"
            comment:key_type is the type of the key.
        keyPath:
          type: string
          title: key_path
          description: |-
            symbol_value:"path/to/key"
            comment:key_path is the path of the key.
        publicKey:
          type: string
          title: public_key
          format: byte
          description: |-
            symbol_value:"0x71C7656EC7ab88bd32g47dgdhhssq245f6d8976F"
            comment:public_key is the public key of the key.
        networkType:
          $ref: '#/components/schemas/mpcvault.platform.v1.NetworkType'
          description: |-
            symbol_value:"1"
            comment:network_type is the type of the network.
        address:
          type: string
          title: address
          description: |-
            symbol_value:"8HrKVJeFNGSJ2T2wSU6MxfMvua2MYgwH1FbRs d f r g t h j"
            comment:address is the address of the wallet in the network.
        ref:
          type: string
          title: ref
          description: >-
            symbol_value:"0x4321567890abcdef4321567890abcdef123456"

            comment:ref is unique identifier for the wallet as configured by the
            user.
        status:
          $ref: '#/components/schemas/mpcvault.platform.v1.Wallet.Status'
          description: |-
            symbol_value:"1"
            comment:status is the status of the wallet.
        name:
          type: string
          title: name
          description: |-
            symbol_value:"test wallet "
            comment:name is the name for the wallet.
      additionalProperties: false
    mpcvault.platform.v1.Error:
      type: object
      allOf:
        - properties:
            message:
              type: string
              title: message
        - oneOf:
            - type: object
              properties:
                executeSigningRequestsErrorCode:
                  $ref: >-
                    #/components/schemas/mpcvault.platform.v1.ExecuteSigningRequestsErrorCode
              title: execute_signing_requests_error_code
              required:
                - executeSigningRequestsErrorCode
            - type: object
              properties:
                serviceErrorCode:
                  $ref: '#/components/schemas/mpcvault.platform.v1.ServiceErrorCode'
              title: service_error_code
              required:
                - serviceErrorCode
      additionalProperties: false
    mpcvault.platform.v1.KeyType:
      type: string
      title: KeyType
      enum:
        - KEY_TYPE_UNSPECIFIED
        - KEY_TYPE_ECC_SECP256K1
        - KEY_TYPE_ECC_ED25519
    mpcvault.platform.v1.NetworkType:
      type: string
      title: NetworkType
      enum:
        - NETWORK_TYPE_UNKNOWN
        - NETWORK_TYPE_EVM
        - NETWORK_TYPE_BITCOIN
        - NETWORK_TYPE_TRON
        - NETWORK_TYPE_APTOS
        - NETWORK_TYPE_SUI
        - NETWORK_TYPE_SOLANA
        - NETWORK_TYPE_TON
        - NETWORK_TYPE_STELLAR
    mpcvault.platform.v1.Wallet.Status:
      type: string
      title: Status
      enum:
        - STATUS_UNSPECIFIED
        - STATUS_PENDING
        - STATUS_ACTIVE
        - STATUS_ARCHIVED
    mpcvault.platform.v1.ExecuteSigningRequestsErrorCode:
      type: string
      title: ExecuteSigningRequestsErrorCode
      enum:
        - EXECUTE_SIGNING_REQUESTS_ERROR_CODE_UNSPECIFIED
        - EXECUTE_SIGNING_REQUESTS_ERROR_CODE_INSUFFICIENT_FUNDS
        - EXECUTE_SIGNING_REQUESTS_ERROR_CODE_ALREADY_DENIED
    mpcvault.platform.v1.ServiceErrorCode:
      type: string
      title: ServiceErrorCode
      enum:
        - SERVICE_ERROR_CODE_UNSPECIFIED
        - SERVICE_ERROR_CODE_ORG_SUBSCRIBED_PLAN_LIMIT_EXCEED
        - SERVICE_ERROR_CODE_ORG_SUBSCRIBED_PLAN_EXPIRED
        - SERVICE_ERROR_CODE_ORG_SUBSCRIBED_PLAN_NOT_SUPPORT
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-mtoken
      description: Your API token. Required for all API requests.

````